Skip to main content
POST
/
purchases
/
{orderId}
/
edit-chatbot
Edit Chatbot
curl --request POST \
  --url https://api.streamskill.pro/v1/purchases/{orderId}/edit-chatbot \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "interval": 10,
  "mode": 1,
  "phrases": [
    "test1",
    "test2"
  ]
}
'
import requests

url = "https://api.streamskill.pro/v1/purchases/{orderId}/edit-chatbot"

payload = {
"interval": 10,
"mode": 1,
"phrases": ["test1", "test2"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({interval: 10, mode: 1, phrases: ['test1', 'test2']})
};

fetch('https://api.streamskill.pro/v1/purchases/{orderId}/edit-chatbot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "ok"
}
{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401,
"type": "unauthorized_http_exception"
}
{
"name": "Purchase not found",
"code": 0,
"message": "Object not found: {ID}",
"status": 404,
"type": "purchase_not_found_exception"
}
{
"name": "Method Not Allowed",
"message": "Action is unavailable for this order",
"code": 0,
"status": 405,
"type": "action_unavailable"
}
{
"name": "Purchase Done",
"message": "Order already completed",
"code": 0,
"status": 409,
"type": "purchase_done"
}
{
"name": "Bad Request",
"errors": {
"tarif.id": [
"Tarif not found"
]
},
"code": 0,
"status": 422,
"type": "validate_exception"
}
{
"name": "Action failed",
"message": "Action not performed",
"code": 0,
"status": 500,
"type": "action_failed"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
enum<string>
default:en

The language of the response

Available options:
en,
ru

Path Parameters

orderId
integer
required

The ID of the order

Body

application/json
interval
integer

The interval of the chatbot

Required range: x >= 1
Example:

10

mode
enum<integer>

The mode of the chatbot (0 - random, 1 - sequential)

Available options:
0,
1
Example:

1

phrases
string[]

The phrases of the chatbot

Example:
["test1", "test2"]

Response

Action Success

status
string

The status of the action

Example:

"ok"